# Hash2KeysSetOfEnumerator< THasher > Class Template Reference

Inheritance diagram for Hash2KeysSetOfEnumerator< THasher >:

List of all members.

## Public Member Functions

| Hash2KeysSetOfEnumerator (Hash2KeysSetOf< THasher > *const toEnum, const bool adopt=false, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
virtual | ~Hash2KeysSetOfEnumerator ()
bool | hasMoreElements () const
void | Reset ()
void | nextElementKey (const void *&, int &)
void | setPrimaryKey (const void *key)

### template<class THasher>
class Hash2KeysSetOfEnumerator< THasher >

## Constructor & Destructor Documentation

template<class THasher>

Hash2KeysSetOfEnumerator< THasher >::Hash2KeysSetOfEnumerator | ( | Hash2KeysSetOf< THasher > *const | toEnum,
|  | const bool | adopt = `false`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

template<class THasher>

virtual Hash2KeysSetOfEnumerator< THasher >::~Hash2KeysSetOfEnumerator | ( |  | ) | `[virtual]`

## Member Function Documentation

template<class THasher>

bool Hash2KeysSetOfEnumerator< THasher >::hasMoreElements | ( |  | ) | const

template<class THasher>

void Hash2KeysSetOfEnumerator< THasher >::Reset | ( |  | ) |

template<class THasher>

void Hash2KeysSetOfEnumerator< THasher >::nextElementKey | ( | const void *& | ,
|  | int & |  |
| ) |  |  |

template<class THasher>

void Hash2KeysSetOfEnumerator< THasher >::setPrimaryKey | ( | const void * | key | ) |

The documentation for this class was generated from the following file:

- Hash2KeysSetOf.hpp